Package com.google.android.exoplayer2.source.dash.manifest

## Class ProgramInformation

- java.lang.Object
- - com.google.android.exoplayer2.source.dash.manifest.ProgramInformation

-     public final class ProgramInformation
      extends Object

  A parsed program information element.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `copyright` | A copyright statement for the media presentation.
    `String` | `lang` | Declares the language code(s) for this ProgramInformation.
    `String` | `moreInformationURL` | A URL that provides more information about the media presentation.
    `String` | `source` | Information about the original source of the media presentation.
    `String` | `title` | The title for the media presentation.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProgramInformation​(String title, String source, String copyright, String moreInformationURL, String lang)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### title

          @Nullable
          public final String title

      The title for the media presentation.

    - #### source

          @Nullable
          public final String source

      Information about the original source of the media presentation.

    - #### copyright

          @Nullable
          public final String copyright

      A copyright statement for the media presentation.

    - #### moreInformationURL

          @Nullable
          public final String moreInformationURL

      A URL that provides more information about the media presentation.

    - #### lang

          @Nullable
          public final String lang

      Declares the language code(s) for this ProgramInformation.

  - ### Constructor Detail

    - #### ProgramInformation

          public ProgramInformation​(@Nullable
                                    String title,
                                    @Nullable
                                    String source,
                                    @Nullable
                                    String copyright,
                                    @Nullable
                                    String moreInformationURL,
                                    @Nullable
                                    String lang)

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`